Package com.avaya.clientservices.user

## Enum ResourceDiscoveryItemType

- java.lang.Object
- - java.lang.Enum<ResourceDiscoveryItemType>
  - - com.avaya.clientservices.user.ResourceDiscoveryItemType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ResourceDiscoveryItemType>`

      public enum ResourceDiscoveryItemType
      extends java.lang.Enum<ResourceDiscoveryItemType>

  Identifies the type of a discovered resource item that is of interest to the client application. These items are received from a connected server as part of a registration response or through a resource discovery process.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ONEX_PORTAL_PRIMARY_SERVER` | Indicates that the discovered resource item is the primary address of the One-X Portal server.
    `ONEX_PORTAL_SECONDARY_SERVER` | Indicates that the discovered resource item is the secondary address of the One-X Portal server.
    `ONEX_PORTAL_USERNAME` | Indicates that the discovered resource item is the username that should be used to login to the One-X Portal server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceDiscoveryItemType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ResourceDiscoveryItemType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONEX_PORTAL_PRIMARY_SERVER

          public static final ResourceDiscoveryItemType ONEX_PORTAL_PRIMARY_SERVER

      Indicates that the discovered resource item is the primary address of the One-X Portal server. This resource type applies only to IP Office deployments where the One-X Portal is used as the messaging server.

    - #### ONEX_PORTAL_SECONDARY_SERVER

          public static final ResourceDiscoveryItemType ONEX_PORTAL_SECONDARY_SERVER

      Indicates that the discovered resource item is the secondary address of the One-X Portal server. This resource type applies only to IP Office deployments where the One-X Portal is used as the messaging server.

    - #### ONEX_PORTAL_USERNAME

          public static final ResourceDiscoveryItemType ONEX_PORTAL_USERNAME

      Indicates that the discovered resource item is the username that should be used to login to the One-X Portal server. This resource type applies only to IP Office deployments where the One-X Portal is used as the messaging server.

  - ### Method Detail

    - #### values

          public static ResourceDiscoveryItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceDiscoveryItemType c : ResourceDiscoveryItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceDiscoveryItemType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null